#!/usr/local/bin/ruby -Ke

# web board for hns
# Copyright (C) 2001 Yoichi Imai <yoichi@silver-forest.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

require 'hnsbbs.rb'
require 'cgi'

cgi = CGI.new
FORM = cgi.params
HnsBBS::print_error("Invalid message id.") if FORM['msgid'][0] == nil

hnsbbs = HnsBBS.new
hnsbbs.load
hnsbbs.create_msgid_hash

delete_article = hnsbbs.msgid_hash[FORM['msgid'][0]]
HnsBBS::print_error("Invalid message id.") if delete_article == nil

if delete_article.delete_key == FORM['key'][0] then
  hnsbbs.msgid_hash[FORM['msgid'][0]].delete
  begin
    hnsbbs.save
  rescue
    HnsBBS::print_error("˼Ԥޤ")
  end
  HnsBBS::html_print do
    puts "<h3>ޤ</h3>"
  end
else
  HnsBBS::html_print do
    delete_article.display
      puts <<"EOF"
<form method="POST" action="#{DeleteCGI}">
<input type="hidden" name="msgid" value="#{FORM['msgid'][0]}">
Delete Key: <input type="text" name="key"><br>
<input type="submit" value="">
</form>
EOF
  end
end
