#!/usr/local/bin/ruby -Ke

# web board for hns
# Copyright (C) 2001 Yoichi Imai <yoichi@silver-forest.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

require 'hnsbbs.rb'
require 'cgi'

cgi = CGI.new
FORM = cgi.params

if FORM['password'][0] == AdminiPass then
hnsbbs = HnsBBS.new
hnsbbs.load
hnsbbs.create_msgid_hash
#     this .length means how many elements there are. 
  if FORM['delmsg'].length == 0 then
    HnsBBS::html_print do
      puts <<"EOF"
<form method="POST" action="#{AdminiCGI}">
<input type="hidden" name="password" value="#{FORM['password']}">
EOF
      hnsbbs.article_list.each_with_index do |article, i|
	next if article.deleted?
	puts %Q(<input type="checkbox" name="delmsg" value="#{i}">) if article.can_delete?
	puts html_convert(article.inspect, false) + '<br>'
      end
      puts %Q(<input type="submit" value="Delete"></form>)
    end
  else
    FORM['delmsg'].each do |num|
       num = num.to_i
       hnsbbs.article_list[num].delete if hnsbbs.article_list[num].can_delete?
    end
    hnsbbs.save
    HnsBBS::html_print do
       puts '<h3>ޤ</h3>'
    end
  end
else
HnsBBS::html_print do
    puts <<"EOF"
<h1>Administration page</h1>
<form method="POST" action="#{AdminiCGI}">
Password: <input type="password" name="password"><br>
<input type="submit" value="Enter">
</form>
EOF
end
end
